#@ load("@ytt:data", "data")
#@ load("@ytt:overlay", "overlay")

#@ ns = data.values.application.namespace

---
apiVersion: v1
kind: Namespace
metadata:
  name: #@ ns
  annotations:
    argocd.argoproj.io/sync-wave: "-3"
  labels:
    pod-security.kubernetes.io/enforce: restricted

#@overlay/match by=overlay.all, expects="1+"
---
metadata:
  #@overlay/match missing_ok=True
  namespace: #@ ns
